;==============================================================================

; file: "_repl#.scm"

; Copyright (C) 1994-2002 by Marc Feeley, All Rights Reserved.

;==============================================================================

(define-type repl-context
  id: cd5f5bad-f96f-438d-8d63-ff887b7b39de
  implementer: implement-type-repl-context
  macros:
  prefix: macro-
  opaque:
  equality-skip:
  unprintable:

  level
  depth
  channel
  cont
  prev-level
  prev-depth
)

(define-type repl-channel
  id: 6bf088a7-814f-4139-860a-69a757570569
  extender: define-type-of-repl-channel
  implementer: implement-type-repl-channel
  macros:
  prefix: macro-
  opaque:
  equality-skip:
  unprintable:

  read-command
  write-results
  display-monoline-message
  display-multiline-message
  newline
  really-quit?
  input-port
  output-port
)

(define-type-of-repl-channel repl-channel-port
  id: 4e2301a4-27c7-4eef-b8fd-e046e192500c
  extender: define-type-of-repl-channel-port
  implementer: implement-type-repl-channel-port
  macros:
  prefix: macro-
  opaque:
  equality-skip:
  unprintable:

  input
  output
)

;==============================================================================
